# Edit Endpoint URLs

{% hint style="warning" %}
The instructions on this page only apply if you have configured the Connection with the full endpoint url (including the `/table/incident` element).

If you have used the truncated url in the Connection (moving the `/table/incident` element to the outbound Message path & Poll Processors), this page may be skipped.
{% endhint %}

To facilitate polling both the Table API and Attachment API, we will need to edit the Endpoint URLs configured in earlier Guides in the following places:

* Connection
* Outbound Message Path
* Previously Configured Poll Processors

## Edit Connection

First, edit the Endpoint URL in the Connection.

In Unifi Integration Designer, navigate to the **'Connections' icon**. Click to open & edit **< Your Connection >** *(configured following the Outbound Incident Guide)*.

![](https://2404534899-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MQBk35gIi557UHt7QlJ%2F-MgpgfwfLGgwiyhQVCrS%2F-MgprQa_4n6ZhQa7iTw1%2FIAPG%20-%20Edit%20Endpoint%20URLs%201.png?alt=media\&token=4c88cf01-0248-48f3-a705-7a73cbdfe56b)

**Remove** `/table/incident` from the **Endpoint URL** and **Save**. *(This will be prepended to the Outbound Message Path & previously configured Poll Processors.)*

![](https://2404534899-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MQBk35gIi557UHt7QlJ%2F-MgpgfwfLGgwiyhQVCrS%2F-MgpscPaxT5rf1TlNScY%2FIAPG%20-%20Edit%20Endpoint%20URLs%202.png?alt=media\&token=71159873-90eb-4137-8f09-489821366291)

## Edit Outbound Message Path

Edit each of the previously configured Outbound Messages:

* CreateIncident
* UpdateIncident
* ResolvIncident
* CreateIncidentInboundReceipt

To edit the CreateIncident Message, navigate to the **'Messages' icon** & click to open the **CreateIncident** Message.

Navigate to **Outbound > Settings.** Add the previously cut `/table/incident` to the **Path** & **Save**.

![](https://2404534899-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MQBk35gIi557UHt7QlJ%2F-MgpgfwfLGgwiyhQVCrS%2F-MgptVVJCZJq-6DskgiX%2FIAPG%20-%20Edit%20Endpoint%20URLs%203.png?alt=media\&token=fd6682a3-460c-45a3-aff2-6306bca9220c)

{% hint style="success" %}
**Repeat** for each of the other Outbound Messages.
{% endhint %}

{% hint style="warning" %}
DO NOT delete the existing path, rather prepend it with `/table/incident` *(as cut from the Connection)*. For example, the Path for the UpdateIncident Message should now read as follows: `/table/incident/{bond.getValue("external_reference")}`.
{% endhint %}

## Edit Previously Configured Poll Processors

Edit the Endpoint URL in the Setup script for each of the previously configured Poll Processor&#x73;*:\**&#x20;

{% hint style="info" %}
\*(The names of your Poll Processors may differ.)
{% endhint %}

* Unifi - SN REST Poll Processor *(as configured in the* [*'Poll Processor' page of the Incident Update Poller Guide*](https://docs.sharelogic.com/unifi/3.0/incident-update-poller-guide/polling/poll-processor#setup-script)
* Unifi - SN REST Poller with Incident DataStore *(as configured in the* [*'Poll Processor' page of the Incident Multiple Message Poller Guide*](https://docs.sharelogic.com/unifi/3.0/incident-multiple-message-poller-guide/polling/poll-processor#setup-script)*)*
* Unifi - SN REST Create Poll processor *(as configured in the* [*'Poll Processor' page of the Incident Create Poller Guide*](https://docs.sharelogic.com/unifi/3.0/incident-create-poller-guide/polling/poll-processor#setup-script)*)*
* Unifi - SN REST Poller Single incident *(as configured in the* [*'Child Poll Processor' page of the Incident Parent and Child Poller Guide*](https://docs.sharelogic.com/unifi/3.0/incident-parent-and-child-poller-guide/polling/child-poll-processor#setup-script)*)*
* Unifi - SN REST Poller Incident List *(as configured in the* [*'Parent Poll Processor' page of the Incident Parent and Child Poller Guide*](https://docs.sharelogic.com/unifi/3.0/incident-parent-and-child-poller-guide/polling/parent-poll-processor#setup-script)*)*

{% hint style="info" %}
**Note**: Although it is necessary to edit the Endpoint URL for all of the previously configured Poll Processors for each of them to work, it is only essential (for the purposes of this Guide) that this is done for the Parent and Child Poll Processors and the Create Poll Processor as these will be used when testing our Integration (& the Messages).
{% endhint %}

To edit the Unifi - SN REST Poll Processor, navigate to the **'Poll Processors' icon** & click to open the **Unifi - SN REST Poll Processor**.

Navigate to **Scripts > Setup Script**.

Edit the code by prepending the existing Endpoint URL with `/table/incident` i.e. insert it immediately after the `poll_request.endpoint_url += '` value & click **Save**. That line of code should now read as follows:

```
poll_request.endpoint_url += '/table/incident?sysparm_query=' + uri_query +
        '&sysparm_fields=' + encodeURIComponent(fields) + '&sysparm_limit=10';
```

*Your Unifi - SN REST Poll Processor Setup Script should now look like this:*

![](https://2404534899-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MQBk35gIi557UHt7QlJ%2F-MgpgfwfLGgwiyhQVCrS%2F-MgpvUy2r614EoElrAC0%2FIAPG%20-%20Edit%20Endpoint%20URLs%204.png?alt=media\&token=df750ed0-1845-40ce-9cda-3c6f92f87113)

{% hint style="success" %}
**Repeat** for each of the other previously configured Poll Processors.
{% endhint %}

Once complete we can configure the first of our Child Poll Processors, the **Get Attachment Poll Processor**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sharelogic.com/unifi/3.0/integration-guides/incident-attachment-poller-guide/polling/edit-endpoint-urls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
